<!DOCTYPE html>
<html xmlns:th="http://www.thymeleaf.org">

<head>
	<meta charset="utf-8">
	<meta http-equiv="x-ua-compatible" content="ie=edge">
	<title>Roles</title>
	<meta name="viewport" content="width=device-width, initialscale=1">
	<link rel="stylesheet" href="https://stackpath.bootstrapcdn.com/bootstrap/4.1.3/css/bootstrap.min.css" integrity="sha384-MCw98/SFnGE8fJT3GXwEOngsV7Zt27NXFoaoApmYm81iuXoPkFOJwJ8ERdknLPMO" crossorigin="anonymous">
	<link rel="stylesheet" href="https://use.fontawesome.com/releases/v5.4.1/css/all.css" integrity="sha384-5sAR7xN1Nv6T6+dT2mhtzEpVJvfS3NScPQTrOxhwjIuvcA67KV2R5Jz6kr4abQsz" crossorigin="anonymous">
	<!-- <link rel="stylesheet" href="../css/shards.min.css"> -->
</head>

<body>
	<div class="container my-2">
		<div class="card">
			<div class="card-body">
				<div th:switch="${roles}" class="container my-5">
					<p class="my-5">
						<a th:href="@{'/role/add/'}" class="btn btn-primary">
							<i class="fas fa-user-plus ml-2"> Add Role</i></a>
					</p>
					<div class="col-md-10">
						<h2 th:case="null">No Role yet!</h2>
						<div th:case="*">
							<h2>Nombre total de role= <span th:text="${nbr}"></span></h2>
							<table class="table table-striped table-responsive-md">
								<thead>
									<tr>
										<th>ID</th>
										<th>Role</th>
									</tr>
								</thead>
								<tbody>
									<tr th:each="role : ${roles}">
										<td th:text="${role.id}"></td>
										<td th:text="${role.role}"></td>
									</tr>
								</tbody>
							</table>
						</div>
					</div>
				</div>
			</div>
		</div>
	</div>
</body>

</html>